Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcontrol.ui.wombat.event
Class KeyEvent

    java.lang.Object
      jcontrol.ui.wombat.event.KeyEvent

All Implemented Interfaces:
  Event

    public class KeyEvent

extends Object
implements Event

This event may be generated by the application's top level Frame object when a keyboard key is pressed. It is sent down the component tree through the focus path down to a basic KeyListener component, for example a button.

(C) DOMOLOGIC Home Automation GmbH 2005 - 2007

See Also:
  `KeyListener`

Field Summary
`static int` | `KEY_DOWN` Key function DOWN
`static int` | `KEY_DOWN_PRESSED`
`static int` | `KEY_DOWN_RELEASED`
`static int` | `KEY_LEFT` Key function LEFT
`static int` | `KEY_LEFT_PRESSED`
`static int` | `KEY_LEFT_RELEASED`
`static int` | `KEY_RIGHT` Key function RIGHT
`static int` | `KEY_RIGHT_PRESSED`
`static int` | `KEY_RIGHT_RELEASED`
`static int` | `KEY_SELECT` Key function SELECT
`static int` | `KEY_SELECT_PRESSED`
`static int` | `KEY_SELECT_RELEASED`
`static int` | `KEY_TRANSFER_FOCUS_BACKWARD` Key function 'transfer focus backward'
`static int` | `KEY_TRANSFER_FOCUS_FORWARD` Key function 'transfer focus forward'
`static int` | `KEY_UP` Key function UP
`static int` | `KEY_UP_PRESSED`
`static int` | `KEY_UP_RELEASED`
`char` | `m_char`
`int` | `m_key`
`static int` | `TYPE_KEY_PRESSED` Indicate that a key was pressed
`static int` | `TYPE_KEY_RELEASED` Indicate that a key has been released
`static int` | `TYPE_PRESSED_MASK`

Constructor Summary
`KeyEvent(int key, char c)` Constructs a KeyEvent.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, getClass, notifyAll, toString, wait`

Field Detail

### TYPE_KEY_PRESSED

    public static final int TYPE_KEY_PRESSED

  Indicate that a key was pressed

  See Also:
    Constant Field Values

### TYPE_KEY_RELEASED

    public static final int TYPE_KEY_RELEASED

  Indicate that a key has been released

  See Also:
    Constant Field Values

### TYPE_PRESSED_MASK

    public static final int TYPE_PRESSED_MASK

See Also:
  Constant Field Values

### KEY_UP

    public static final int KEY_UP

  Key function UP

  See Also:
    Constant Field Values

### KEY_DOWN

    public static final int KEY_DOWN

  Key function DOWN

  See Also:
    Constant Field Values

### KEY_SELECT

    public static final int KEY_SELECT

  Key function SELECT

  See Also:
    Constant Field Values

### KEY_LEFT

    public static final int KEY_LEFT

  Key function LEFT

  See Also:
    Constant Field Values

### KEY_RIGHT

    public static final int KEY_RIGHT

  Key function RIGHT

  See Also:
    Constant Field Values

### KEY_TRANSFER_FOCUS_FORWARD

    public static final int KEY_TRANSFER_FOCUS_FORWARD

  Key function 'transfer focus forward'

  See Also:
    Constant Field Values

### KEY_TRANSFER_FOCUS_BACKWARD

    public static final int KEY_TRANSFER_FOCUS_BACKWARD

  Key function 'transfer focus backward'

  See Also:
    Constant Field Values

### KEY_UP_PRESSED

    public static final int KEY_UP_PRESSED

See Also:
  Constant Field Values

### KEY_DOWN_PRESSED

    public static final int KEY_DOWN_PRESSED

See Also:
  Constant Field Values

### KEY_SELECT_PRESSED

    public static final int KEY_SELECT_PRESSED

See Also:
  Constant Field Values

### KEY_LEFT_PRESSED

    public static final int KEY_LEFT_PRESSED

See Also:
  Constant Field Values

### KEY_RIGHT_PRESSED

    public static final int KEY_RIGHT_PRESSED

See Also:
  Constant Field Values

### KEY_UP_RELEASED

    public static final int KEY_UP_RELEASED

See Also:
  Constant Field Values

### KEY_DOWN_RELEASED

    public static final int KEY_DOWN_RELEASED

See Also:
  Constant Field Values

### KEY_SELECT_RELEASED

    public static final int KEY_SELECT_RELEASED

See Also:
  Constant Field Values

### KEY_LEFT_RELEASED

    public static final int KEY_LEFT_RELEASED

See Also:
  Constant Field Values

### KEY_RIGHT_RELEASED

    public static final int KEY_RIGHT_RELEASED

See Also:
  Constant Field Values

### m_key

    public int m_key

### m_char

    public char m_char

Constructor Detail

### KeyEvent

    public KeyEvent(int key,
                    char c)

  Constructs a KeyEvent.

  Parameters:
    `key` - The key specified by a constant value
    `c` - The character that was pressed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD